import {readFileSync, writeFileSync} from "node:fs"
import {join} from "node:path"
import {cwd} from "node:process"

const styleFiles = ["TextareaDecorator.css"]
const jsFiles = ["Keybinder", "Parser", "SelectHelper", "TextareaDecorator", "LineNumbers"]

const txt = readFileSync(join(cwd(), './lib/TextareaDecorator.css')).toString()
writeFileSync(join(cwd(), './src/TextareaDecorator.css.js'), `export function injectStyle() {
	document.head.appendChild(Object.assign(document.createElement('style'), {textContent: css}));
}

export const css = \`${txt.replaceAll('`', '\\`')}\`;
`)

for (const name of jsFiles) {
    const txt = readFileSync(join(cwd(), './lib/', `${name}.js`)).toString()
    writeFileSync(
        join(cwd(), './src/', `${name}.js`),
        txt.replace(/(^|\n)(?=(?:var|const|function)\s+)/g, "$1export ")
    )
}
